Bug 805604 - Segmentation fault when running yum install python2-devel
Segmentation fault when running yum install python2-devel
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 12:43 EDT by Avihai Shoham
Modified: 2015-02-17 09:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:10:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-03-21 12:43:45 EDT
while trying to install python2-devel, i got 

Segmentation fault

-----------------------------------------------------
Continuing.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package python-devel.x86_64 0:2.7.2-5.2.fc16 will be installed

Program received signal SIGSEGV, Segmentation fault.
0x0000003cfb61b89f in rpmdbInitIterator () from /usr/lib64/librpm.so.2
(gdb) bt
#0  0x0000003cfb61b89f in rpmdbInitIterator () from /usr/lib64/librpm.so.2
#1  0x0000003cfb6404a3 in rpmtsInitIterator () from /usr/lib64/librpm.so.2
#2  0x00007f46d20c7872 in ?? () from /usr/lib64/python2.7/site-packages/rpm/_rpmmodule.so
#3  0x00000034f64e00bd in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#4  0x00000034f64e15a5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#5  0x00000034f646dd23 in ?? () from /usr/lib64/libpython2.7.so.1.0
#6  0x00000034f6449193 in PyObject_Call () from /usr/lib64/libpython2.7.so.1.0
#7  0x00000034f64dc31f in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#8  0x00000034f64635e9 in ?? () from /usr/lib64/libpython2.7.so.1.0
#9  0x00000034f64db736 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#10 0x00000034f64e0580 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#11 0x00000034f64e0580 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#12 0x00000034f64e0580 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#13 0x00000034f64e15a5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#14 0x00000034f64dfadb in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#15 0x00000034f64e0580 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#16 0x00000034f64e0580 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#17 0x00000034f64e15a5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#18 0x00000034f64dfadb in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#19 0x00000034f64e15a5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#20 0x00000034f64dfadb in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#21 0x00000034f64e15a5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#22 0x00000034f64dfadb in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#23 0x00000034f64e15a5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#24 0x00000034f64dfadb in PyEval_EvalFrameEx () from /usr/lib64/libpython2.7.so.1.0
#25 0x00000034f64e15a5 in PyEval_EvalCodeEx () from /usr/lib64/libpython2.7.so.1.0
#26 0x00000034f64e16d2 in PyEval_EvalCode () from /usr/lib64/libpython2.7.so.1.0
#27 0x00000034f64fb9ec in ?? () from /usr/lib64/libpython2.7.so.1.0
#28 0x00000034f64fc7f0 in PyRun_FileExFlags () from /usr/lib64/libpython2.7.so.1.0
#29 0x00000034f64fd26f in PyRun_SimpleFileExFlags () from /usr/lib64/libpython2.7.so.1.0
#30 0x00000034f650e745 in Py_Main () from /usr/lib64/libpython2.7.so.1.0
#31 0x00000034f402169d in __libc_start_main () from /lib64/libc.so.6
#32 0x0000000000400651 in _start ()
(gdb) 

------------------------------------------------------

the issues fixed after i ran rpm –rebuilddb
Comment 1 mlcreech 2012-06-19 17:21:50 EDT
FYI I get a similar error after upgrading from FC16 to FC17.  However, "rpm -rebuilddb" does NOT solve the problem in my case, so I'm now unable to use yum:

Program received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x00007ffff049d097 in ?? () from /lib64/librpm.so.2
#2  0x00007ffff04a4e53 in ?? () from /lib64/librpm.so.2
#3  0x00007ffff04a53ef in ?? () from /lib64/librpm.so.2
#4  0x00007ffff04c9846 in rpmtsOpenDB () from /lib64/librpm.so.2
#5  0x00007ffff07188fb in ?? ()
   from /usr/lib64/python2.7/site-packages/rpm/_rpmmodule.so
#6  0x00007ffff7aff1e0 in PyEval_EvalFrameEx () from /lib64/libpython2.7.so.1.0
#7  0x00007ffff7b00b2f in PyEval_EvalCodeEx () from /lib64/libpython2.7.so.1.0
... (similar to Avi's report) ...

I can provide more info if needed.
Comment 2 Fedora End Of Life 2013-04-03 13:38:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 12:04:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:10:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.